SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   ICU Vendors:   icu-project.org
ICU Buffer Overflows in resolveImplicitLevels() Let Remote Users Deny Service and Potentially Execute Arbitrary Code
SecurityTracker Alert ID:  1032366
SecurityTracker URL:  http://securitytracker.com/id/1032366
CVE Reference:   CVE-2014-8146, CVE-2014-8147   (Links to External Site)
Date:  May 20 2015
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 52 through 54
Description:   Several vulnerabilities were reported in ICU. A remote user can execute arbitrary code on the target system. A remote user can cause denial of service conditions on the target system.

A remote user can send specially crafted data to trigger a heap overflow in the resolveImplicitLevels() function in 'ubidi.c' and cause the target application to crash or execute arbitrary code [CVE-2014-8146].

A remote user can send specially crafted data to trigger an integer overflow in the resolveImplicitLevels() function in 'ubidi.c' and cause the target application to crash or execute arbitrary code [CVE-2014-8147].

The original advisory is available at:

https://raw.githubusercontent.com/pedrib/PoC/master/generic/i-c-u-fail.txt

Pedro Ribeiro of Agile Information Security reported this vulnerability.

Impact:   A remote user can cause the target application using the ICU library to crash.

A remote user may be able to execute arbitrary code on the target system.

Solution:   The vendor has issued a fix (ICU4C version 55.1).
Vendor URL:  site.icu-project.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 17 2015 (Apple Issues Fix for Apple iOS) ICU Buffer Overflows in resolveImplicitLevels() Let Remote Users Deny Service and Potentially Execute Arbitrary Code
Apple has issued a fix for Apple iOS.
Oct 1 2015 (Apple Issues Fix for Apple OS X) ICU Buffer Overflows in resolveImplicitLevels() Let Remote Users Deny Service and Potentially Execute Arbitrary Code
Apple has issued a fix for Apple OS X.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC